VERSION 5.00
Begin VB.MDIForm MDIForm1 
   BackColor       =   &H8000000C&
   Caption         =   "MDIForm1"
   ClientHeight    =   7110
   ClientLeft      =   165
   ClientTop       =   765
   ClientWidth     =   8565
   LinkTopic       =   "MDIForm1"
   StartUpPosition =   3  'Windows Default
   Begin VB.Menu mnuTry 
      Caption         =   "Try it"
      Begin VB.Menu mnuShow1 
         Caption         =   "Show 1"
      End
      Begin VB.Menu mnuShow2 
         Caption         =   "Show 2"
      End
      Begin VB.Menu mnuShow3 
         Caption         =   "Show 3"
      End
   End
End
Attribute VB_Name = "MDIForm1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
' Simple potential solution to simulate an MDIchild form as modal
' Author: Kim Desruisseaux  Aug. 2001
'
' Comment: This is definitely not rocket science but it worked for me.
'
' Background:
' In my MDI application I have search forms that can be started on their own
' or started from another form to behave like a lookup. When they are started
' on their own they should behave like a normal MDIchild form. When started from
' another form I wanted them to behave more like a modal. Since you cannot have
' a MODAL MDIchild I implemented this sample.
'
' Points of interest:
' Since the leaf child is not really modal care must be taken to keep it in
' context when started from another form since it has the potential to be
' started from multiple forms.
'
' Again since the leaf child is not really modal the user is free to do other
' activities in the MDI app. For my application this actually made it more user
' friendly. How many times have you had to cancel a modal form just to go and
' look something up and then come back to repeat the process.

Private Sub mnuShow1_Click()
    Form1.Show
End Sub

Private Sub mnuShow2_Click()
    Form2.Show
End Sub

Private Sub mnuShow3_Click()
    Form3.Show
End Sub
